Skip to content

Get a sandbox

GET/sandboxes/{id}
path parameters
object
idstringrequired

Sandbox ID, e.g. sbx_ab12cd34.

Responses
200 OKOK
SandboxResponse
created_atstringdate-time
idstring
memory_mibinteger
networkNetworkResponse
allowlistarray
items
string
enabledboolean
gatewaystring
guest_ipstring
profilestring
publishedarray
items
PortMapping
guest_portinteger
host_ipstring
host_portinteger
protocolstring
source_snapshot_idstring
vcpusinteger
workdirstring
400 Bad requestBad Request
ErrorResponse
errorstring
404 Not foundNot Found
ErrorResponse
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
GET/sandboxes/{id}
cURL
curl '/sandboxes/{id}'
Response
200 OK
{
  "created_at": "2026-01-02T15:04:05Z",
  "id": "string",
  "memory_mib": 0,
  "network": {
    "allowlist": [
      "string"
    ],
    "enabled": false,
    "gateway": "string",
    "guest_ip": "string"
  },
  "profile": "string",
  "published": [
    {
      "guest_port": 0,
      "host_ip": "string",
      "host_port": 0,
      "protocol": "string"
    }
  ],
  "source_snapshot_id": "string",
  "vcpus": 0,
  "workdir": "string"
}
Was this page helpful?